VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Network::Type Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Network::Type:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Network::Type` enumerated type defines the type of a vCenter Server network. The type of a network can be used to determine what features it supports and which APIs can be used to find more information about the network or change its configuration. Constant Com::Vmware::Vcenter::Network::Type::STANDARD_PORTGROUP # XXX: ESX based (created and managed on ESX) Constant Com::Vmware::Vcenter::Network::Type::DISTRIBUTED_PORTGROUP # XXX: vCenter based (create and managed through vCenter) Constant Com::Vmware::Vcenter::Network::Type::OPAQUE_NETWORK # A network for whose configuration is managed outside of vSphere. The identifer and name of the network is made available through vSphere so that host and virtual machine virtual ethernet devices can connect to them.

## Member Function Documentation

public method Com::Vmware::Vcenter::Network::Type::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Network::Type enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.vcenter.network.type',
'binding_class' => 'Com::Vmware::Vcenter::Network::Type');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Network.pm